#ifdef TI83P
	#define	INSERT_HEADER	.db "Death From Above 83+",0
	#define	trash_ram	$9872		;AppBackupScreen
#else
	#define	INSERT_HEADER	.db "Death From Above 83",0
	#define	trash_ram	$8265		;SaveSScreen
#endif

#define	NOCAPTURE

#define	key_port		$01
#define	kg_1			$FE
#define	kg_2			$FD
#define	kg_reset		$FF
#define	kg_7			$BF
#define	ky_left			$FD
#define	ky_right		$FB
#define	ky_2nd			$DF
#define	ky_mode			$BF
#define	ky_del			$7F
#define	ky_enter		$FE
#define	ky_clear		$BF
#define	DI_ENABLE(grp)		LD A,grp \ OUT (key_port),A
#define	DI_GET			IN A,(key_port)
#define	DI_RESET		LD A,kg_reset \ OUT (key_port),A

#define	INVERT_TEXT		SET TextInverse,(IY + TextFlags)
#define	NORMAL_TEXT		RES TextInverse,(IY + TextFlags)

#define	lcd_width		96
#define	lcd_height		64
#define	vbuffer			PlotSScreen
#define	vbuffer_size		768
#define	vbuffer_end		PlotSScreen + vbuffer_size

#define	player_y		lcd_height - 10
#define	p_width			8

#define	b_delay_threshold	9
#define	max_bullets		5
#define	bullet_width		2
#define	bullet_height		5
#define	b_start_y		(player_y - bullet_height + 3) * 4
#define	b_delta_y		5	; Actually 1.25

#define	m_delay_threshold	24
#define	max_meteors		3
#define	meteor_height		4
#define	meteor_width		4

#define	shield_y		60

VARS		.equ	trash_ram
player_x	=	VARS + 0
bullet_delay	=	VARS + 1
meteor_delay	=	VARS + 2
active_bullets	=	VARS + 3
active_meteors	=	VARS + 4
shield_hp	=	VARS + 5
kills		=	VARS + 7
sp_save		=	VARS + 9
game_delay	=	VARS + 11
#define	g_delay_threshold	3

input_buffer	=	VARS + 12

bullet_array	=	VARS + 30
#define	b_entry_size	3

meteor_array	=	VARS + 90
#define	m_entry_size	5
#define	active		0
#define	xpos		1
#define	x_delta		2
#define	ypos		3
#define	y_delta		4

.end